Bug 1014569 - WELD contains invalid Implementation-Version item in META-INF/MANIFEST.MF
WELD contains invalid Implementation-Version item in META-INF/MANIFEST.MF
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Build (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity high
: ER2
: EAP 6.3.0
Assigned To: Vladimir Dosoudil
Katerina Novotna
:
Depends On:
Blocks: 1089989
  Show dependency treegraph
 
Reported: 2013-10-02 07:03 EDT by Pavel Janousek
Modified: 2015-02-20 06:39 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-28 11:26:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pavel Janousek 2013-10-02 07:03:23 EDT
WELD's Jars contain invalid content of Implementation-Version in META-INF/MANIFEST.MF - it's the same as build time item.

Affected artifacts:
- jboss-eap-6.2/modules/system/layers/base/org/jboss/weld/api/main/weld-api-1.1.Final-redhat-4.jar
- modules/system/layers/base/org/jboss/weld/core/main/weld-core-1.1.15.Final-redhat-1.jar
- modules/system/layers/base/org/jboss/weld/spi/main/weld-spi-1.1.Final-redhat-4.jar
Comment 2 Vladimir Dosoudil 2014-04-09 04:42:58 EDT
Merged in https://github.com/jbossas/jboss-eap/commit/9749f84
Comment 3 Pavel Jelinek 2014-05-01 00:00:41 EDT
Verified for EAP 6.3.0.ER2

Note You need to log in before you can comment on or make changes to this bug.